List Internal Transactions
GET/internal_transactions
List internal transactions performed on the authorized object (Entity or Platform).
The meta will always have total_count set to null since this API is an infinite scroll API.
Request
Query Parameters
Default value: 1
Page to list
Internal Transaction ID to look for
Filter transactions by currency
Filter settlements created on a date equal or greater than a give date
Filter settlements created on a date equal or less than a give date
Filter settlements updated on a date equal or greater than a give date
Filter settlements updated on a date equal or less than a give date
Filter settlements settled on a date equal or greater than a give date
Filter settlements settled on a date equal or less than a give date
Responses
- 200
- 401
- 403
Successful operation
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
internal_transactions
object[]
Possible values: [Entity, Platform, Beneficiary]
ISO-4217 three-letter currency code.
Amount of the internal transaction movement.
In case this internal transaction has been settled, this will contain the ID of the transaction.
A string descriping the purpose of this internal transactions.
Date and time when the internal transaction was created.
Date and time when the internal transaction status was updated.
Date and time when the internal transaction was settled.
metadata
object
A set of key-value pairs where both key and value are strings. Metadata allows you to add more information to the object that will be returned later on in responses and webhook messages.
Metadata is searchable using the Payment List API.
meta
object
{
"internal_transactions": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recipient_type": "Entity",
"recipient_id": "c5c57597-0d06-4583-9da5-c755c4943ede",
"currency": "SAR",
"amount": 24209,
"transfer_id": "6db14dc8-9647-4dff-ae6f-822c29ae3a92",
"description": "string",
"created_at": "2026-02-15T12:59:11Z",
"updated_at": "2026-02-15T12:59:11Z",
"settled_at": "2026-02-16T10:13:12Z",
"metadata": {
"cart_id": "72e470a5-cbc4-47b3-a52a-e89fda6adb19",
"customer_email": "[email protected]",
"customer_id": "23432"
}
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 1
}
}
Invalid authorization credentials
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [authentication_error]
Possible values: [Invalid authorization credentials]
{
"type": "authentication_error",
"message": "Invalid authorization credentials",
"errors": null
}
Invalid authorization credentials
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [api_error]
Possible values: [User not authorized]
{
"type": "api_error",
"message": "User not authorized",
"errors": null
}